%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define poppler_version 0.6.2
%define gtk2_version 2.9.4

Name:		sugar-evince
Version:	2.20.0
Release:	1
Summary:	Document viewer

License: 	GPL
Group:		Applications/Publishing
URL:		http://dev.laptop.org
Source0: 	evince-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  libxml2-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  pygtk2-devel
BuildRequires:  gettext
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:	poppler-devel >= %{poppler_version}

%description
evince is a GNOME-based document viewer. This is the version developed for OLPC.

%package        python
Summary:        Python bindings for evince
Group:          System Environment/Libraries
Requires:       sugar-evince

%description    python
Python bindings for evince

%prep
%setup -q -n evince-%{version}

%build
%configure --disable-static --disable-binary --enable-embed --without-libgnome --disable-scrollkeeper --disable-schemas-install --disable-dvi --without-print --enable-pixbuf --disable-thumbnailer
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{python_sitelib}/evince/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.la

# FIXME
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT%{_datadir}/evince
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons
rm -rf $RPM_BUILD_ROOT%{_datadir}/man
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
rm -rf $RPM_BUILD_ROOT%{_bindir}/evince-thumbnailer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libevince.*

%files python
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_datadir}/pygtk/2.0/defs/evince.defs

%changelog
* Wed Dec 12 2007 Reinier Heeres <reinier@heeres.eu> - 2.20.0-1
- Package for embedded evince
